@echo off
TITLE Revert Classic Tooltips to Toast Notifications
COLOR 1F
echo.

cd %systemroot%\system32
call :IsAdmin
CLS
TITLE Revert Classic Tooltips to Toast Notifications
cls
color 1f
echo.
ver | findstr /i " 10\.0\." > nul
IF "%ERRORLEVEL%" EQU "0" goto :Win10
echo This script only for use on Windows 10 Kernels.
echo.
pause
exit

:Win10
Reg delete "HKCU\SOFTWARE\Policies\Microsoft\Windows\Explorer" /v "EnableLegacyBalloonNotifications" /f >nul 2>&1
Reg add "HKCU\SOFTWARE\Policies\Microsoft\Windows\Explorer" /f >nul 2>&1

Reg delete "HKLM\SOFTWARE\Policies\Microsoft\Windows\Explorer" /v "EnableLegacyBalloonNotifications" /f >nul 2>&1
Reg add "HKLM\SOFTWARE\Policies\Microsoft\Windows\Explorer" /f >nul 2>&1

echo.
echo Revert completed...
echo.
echo Now restarting Explorer.exe to make changes...
timeout /T 3 >nul

taskkill /im "explorer.exe" /f
start explorer.exe

echo.
echo Done.

:Finished
TIMEOUT /T 2 >NUL 2>&1
exit

:IsAdmin
Reg.exe query "HKU\S-1-5-19\Environment"
If Not %ERRORLEVEL% EQU 0 (
 Cls
 echo.
 Echo You must have administrator rights to continue...
 echo.
 Pause
 Exit
)
